Bug 1763119 - lazarus provides private library
Summary: lazarus provides private library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lazarus
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Joost van der Sluis
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-18 09:56 UTC by Vasiliy Glazov
Modified: 2019-11-03 00:11 UTC (History)
3 users (show)

Fixed In Version: lazarus-2.0.4-4.fc31 lazarus-2.0.4-2.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-28 01:39:20 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Vasiliy Glazov 2019-10-18 09:56:40 UTC
Description of problem:

lazarus package provides private library libQt5Pas.so.1.
It is placed in /usr/lib64/lazarus/lcl/interfaces/qt5/cbindings/ and should not be provided by rpm package.

In this situation if package require qt5pas it also install lazarus and devel packages (1.3GB).

Please add provides exclude as in https://src.fedoraproject.org/rpms/chromium/blob/master/f/chromium.spec#_62

If need I can make pull-request with that change.

Comment 1 Artur Frenszek-Iwicki 2019-10-20 12:31:13 UTC
I took a different approach and made Lazarus depend on qt5pas-devel instead of bundling its own copies of libQt5Pas.so.1.

The build has been submitted to rawhide; it completed and passed through bodhi. Please check if the erroneous behaviour still persists.

Comment 2 Fedora Update System 2019-10-24 13:30:24 UTC
FEDORA-2019-307c4700f3 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-307c4700f3

Comment 3 Fedora Update System 2019-10-24 13:30:49 UTC
FEDORA-2019-ddce422d68 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-ddce422d68

Comment 4 Fedora Update System 2019-10-24 18:54:55 UTC
lazarus-2.0.4-4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-307c4700f3

Comment 5 Fedora Update System 2019-10-25 19:34:40 UTC
lazarus-2.0.4-2.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-ddce422d68

Comment 6 Fedora Update System 2019-10-28 01:39:20 UTC
lazarus-2.0.4-4.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-11-02 01:13:19 UTC
lazarus-2.0.4-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-11-03 00:11:47 UTC
lazarus-2.0.4-2.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.